aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorNaoto Yamaguchi <naoto.yamaguchi@aisin.co.jp>2022-07-03 23:12:56 +0900
committerNaoto Yamaguchi <naoto.yamaguchi@aisin.co.jp>2022-07-28 21:57:56 +0900
commit86cd83ce2348ca8d2e399b50ab8ae3c7abedb9a1 (patch)
treef7ad61c3431be68ca8bdc361690d316b4811155b /autogen.sh
parent04d166f9a90db05958a3f2ed713244724d2b9004 (diff)
Add base automake and autoconf files
The librefop use autoconf and automake build strategy. This patch add initial autoconf and automake files. Bug-AGL: SPEC-4500 Signed-off-by: Naoto Yamaguchi <naoto.yamaguchi@aisin.co.jp> Change-Id: Id7c171242acca1357fdf02abe147b6f3b9ff7dfa
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..916169a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,9 @@
+#! /bin/sh
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+(
+ cd "$srcdir" &&
+ autoreconf --force -v --install
+) || exit
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"